Skip to content

database_api.list_sbd_conversion_requests ​

Purpose ​

Returns the list of SBD conversion requests for an account. Parameters: start:array, limit:int, order:string

  • limit is up to 1000.
  • order can be one of:
    • by_account - order by accont name
      • start is an array of two values: account, request_id
    • by_conversion_date - order by conversion date
      • start is an array of two values: timestamp, request_id
start (array)limit (int)order (string)
["steemit", 0]10by_accountQueries a conversion request for steemit, limit to 10 results, order by account name.
["2018-12-07T16:54:03", 0]10by_conversion_dateQueries a conversion request from this date, limit to 10 results, order by conversion date.

Also see: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_sbd_conversion_requests",
    "params": {
      "start": [
        "steemit",
        0
      ],
      "limit": 10,
      "order": "by_account"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_sbd_conversion_requests",
    "params": {
      "start": [
        "2018-12-07T16:54:03",
        0
      ],
      "limit": 10,
      "order": "by_conversion_date"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "requests": [
    {
      "id": 75677,
      "owner": "adenijiadeshina",
      "requestid": 3,
      "amount": {
        "amount": "311",
        "precision": 3,
        "nai": "@@000000013"
      },
      "conversion_date": "2018-12-06T20:42:42"
    }
  ]
}